> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get filterable fields

> Discover the fields that can be used in the server-side 'filter' query parameter, including numeric metrics, categorical label fields with their values, and free-text columns.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/model-services/v1/aisystem/{system_id}/version/{version_id}/filters
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/model-services/v1/aisystem/{system_id}/version/{version_id}/filters:
    get:
      tags:
        - AI Systems
      summary: Get filterable fields
      description: >-
        Discover the fields that can be used in the server-side 'filter' query
        parameter, including numeric metrics, categorical label fields with
        their values, and free-text columns.
      operationId: get_filters
      parameters:
        - in: path
          name: system_id
          required: true
          schema:
            type: string
        - in: path
          name: version_id
          required: true
          schema:
            type: string
        - description: >-
            Start time for value discovery in RFC3339 format. Defaults to 7 days
            ago if not specified.
          explode: false
          in: query
          name: start_time
          schema:
            description: >-
              Start time for value discovery in RFC3339 format. Defaults to 7
              days ago if not specified.
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_GetFiltersResponseBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_ErrorModel'
          description: Error
components:
  schemas:
    mlflow-proxy_GetFiltersResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          example: /api/model-services/v1/aisystem/schemas/GetFiltersResponseBody.json
          format: uri
          readOnly: true
          type: string
        fields:
          description: Fields the client may filter on.
          items:
            $ref: '#/components/schemas/mlflow-proxy_FilterField'
          nullable: true
          type: array
      required:
        - fields
      type: object
    mlflow-proxy_ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          example: /api/model-services/v1/aisystem/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          example: Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/mlflow-proxy_ErrorDetail'
          nullable: true
          type: array
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          example: https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          example: 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          example: Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          example: https://example.com/errors/example
          format: uri
          type: string
      type: object
    mlflow-proxy_FilterField:
      additionalProperties: false
      properties:
        name:
          description: Field name usable in a filter condition.
          type: string
        type:
          description: >-
            Filter type, which determines the valid operators and operand shape
            for this field.
          enum:
            - numeric
            - categorical
            - text
          type: string
        unit:
          description: Unit of a numeric field, when known (e.g. "ms" for response time).
          type: string
        values:
          description: >-
            Known values for categorical fields (may be truncated). Empty for
            other types.
          items:
            type: string
          nullable: true
          type: array
      required:
        - name
        - type
      type: object
    mlflow-proxy_ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````

## Related topics

- [Get distinct field values](/api-reference/audit-trail/get-apiaudittrailv1fieldvalues.md)
- [Get property values for an entity](/api-reference/properties/get-property-values-for-an-entity.md)
- [Get volume by ID](/api-reference/netapp-volumes/get-volume-by-id.md)
- [Get the live diff for a completed extension install snapshot](/api-reference/extensions/get-the-live-diff-for-a-completed-extension-install-snapshot.md)
